### Hierarchy

- TableBody
  - AITableBody

## Index

### Inputs

- model

### Constructors

- constructor

### Properties

- _checkboxRowLabel
- _expandButtonAriaLabel
- checkboxRowLabel
- deselectRow
- enableSingleSelect
- expandButtonAriaLabel
- i18n
- model
- rowClick
- selectRow
- selectionLabelColumn
- showSelectionColumn
- size
- skeleton

### Methods

- firstExpandedDataInRow
- getCheckboxRowLabel
- getExpandButtonAriaLabel
- onRowCheckboxChange
- onRowClick
- shouldExpandAsTable

## Constructors

### constructor

- new AITableBody(i18n: I18n): AITableBody

- - Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:72

  #### Parameters

  - ##### i18n: I18n

  #### Returns AITableBody

## Properties

### Protected _checkboxRowLabel

_checkboxRowLabel: Overridable

- Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:71

### Protected _expandButtonAriaLabel

_expandButtonAriaLabel: Overridable

- Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:72

### checkboxRowLabel

checkboxRowLabel: string | Observable<string>

- Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:34

### deselectRow

deselectRow: EventEmitter<Object>

- Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:66

Emits if a single row is deselected.

param

  this.model, deselectedRowIndex: index})

### enableSingleSelect

enableSingleSelect: boolean

- Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:32

Controls whether to enable multiple or single row selection.

### expandButtonAriaLabel

expandButtonAriaLabel: string | Observable<string>

- Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:33

### Protected i18n

i18n: I18n

- Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:27

### model

@Input()
model: any

- Defined in packages/angular/src/table/body/table-body.component.ts:69

### rowClick

rowClick: EventEmitter<number>

- Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:70

Emits if a row item excluding expandButtons, checkboxes, or radios is clicked.

### selectRow

selectRow: EventEmitter<Object>

- Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:60

Emits if a single row is selected.

param

  this.model, selectedRowIndex: index})

### selectionLabelColumn

selectionLabelColumn: number

- Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:53

Used to populate the row selection checkbox label with a useful value if set.

Example:

    <ibm-table [selectionLabelColumn]="0"></ibm-table>
    <!-- results in aria-label="Select first column value"
    (where "first column value" is the value of the first column in the row -->

### showSelectionColumn

showSelectionColumn: boolean

- Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:38

Controls whether to show the selection checkboxes column or not.

### size

size: TableRowSize

- Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:42

Size of the table rows.

### skeleton

skeleton: boolean

- Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:54

## Methods

### firstExpandedDataInRow

- firstExpandedDataInRow(row: any): any

- - Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:83

  #### Parameters

  - ##### row: any

  #### Returns any

### getCheckboxRowLabel

- getCheckboxRowLabel(): Observable<string>

- - Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:81

  #### Returns Observable<string>

### getExpandButtonAriaLabel

- getExpandButtonAriaLabel(): Observable<string>

- - Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:82

  #### Returns Observable<string>

### onRowCheckboxChange

- onRowCheckboxChange(index: number): void

- - Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:79

  Triggered when a single row is clicked. Updates the header checkbox state. Emits the `selectRow` or `deselectRow` event.

  #### Parameters

  - ##### index: number

  #### Returns void

### onRowClick

- onRowClick(index: number): void

- - Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:80

  #### Parameters

  - ##### index: number

  #### Returns void

### shouldExpandAsTable

- shouldExpandAsTable(row: any): any

- - Defined in node_modules/carbon-components-angular/table/body/table-body.component.d.ts:84

  #### Parameters

  - ##### row: any

  #### Returns any

Generated using TypeDoc